namespace bigloo
{
  public sealed class custom: obj
  {
    public byte[] identifier;

    public bool equal( custom  o )
    {
      return (o == this);
    }

    public int hash()
    {
      return GetHashCode();
    }
  }
}
